Subject: Re: Review

From: Sughosha <[email-masked]>
Date: Thu, 28 Nov 2024 13:49:47 +0530

On Wednesday, November 27, 2024 4:22:35 AM  Gabriel Wicki wrote:
> hello there!
> 
> thanks for the submission!
> 
> general remarks:  try not to duplicate the synopsis in the description,
> otherwise everything looks fine!
> 
> some questions/remarks:
> 
>  - why disable building examples and demo in qt-advanced-docking-system?
> 
>  - i am not sure the (chdir "../source") is necessary in qtpromise.
>    can't you (substitute* "../source/include/QtPromise" ...) directly?
> 
>  - wouldn't it be nicer to call the variable (and the package)
>    widget-animation-framework instead of widgetanimationframework?
>    or qt-widget-animation-framework?
> 
>  - what does the (snippet ...) do in widgetanimationframework?  you
>    could comment why this is necessary
> 
> 
> have a nice week
> gabber

Thanks for the review.
I considered the points you mentioned and have a v2 patch series accordingly. 
I could not improve synopsis and description with the information provided in 
the respective README files. I have also made some more changes and mentioned 
them in the cover letter. I will send the v2 patch series in short.

-- 
Sughosha